Bug 1145260 - xkeyboard-config needs to be manually installed when weston is used on minimal install
Summary: xkeyboard-config needs to be manually installed when weston is used on minima...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libxkbcommon
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-22 17:10 UTC by Fabian Deutsch
Modified: 2014-09-27 09:48 UTC (History)
3 users (show)

Fixed In Version: libxkbcommon-0.4.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-27 09:48:24 UTC


Attachments (Terms of Use)

Description Fabian Deutsch 2014-09-22 17:10:50 UTC
Description of problem:
It seems that weston is missing a dependency on xkeyboard-config (at least on the path /usr/share/X11/xkb).

Version-Release number of selected component (if applicable):
f21

How reproducible:


Steps to Reproduce:
1. install f21 minimal
2. install weston
3. run weston

Actual results:
barks abnout missing path /usr/share/X11/xkb

Expected results:
is launched normally

Additional info:

Comment 1 Fedora Update System 2014-09-22 17:28:07 UTC
libxkbcommon-0.4.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libxkbcommon-0.4.3-2.fc21

Comment 2 lnie 2014-09-23 06:26:34 UTC
libxkbcommon-0.4.3-2.fc21 works

Comment 3 Fedora Update System 2014-09-24 15:46:49 UTC
Package libxkbcommon-0.4.3-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxkbcommon-0.4.3-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11223/libxkbcommon-0.4.3-2.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-27 09:48:24 UTC
libxkbcommon-0.4.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.